|  | Home · All Classes · Modules

# QStringMatcher Class Reference
[QtCore module]

The QStringMatcher class holds a sequence of characters that can be quickly matched in a Unicode string. More...

### Methods

- __init__ (self)
- __init__ (self, QString, Qt.CaseSensitivity cs = Qt.CaseSensitive)
- __init__ (self, QStringMatcher)
- Qt.CaseSensitivity caseSensitivity (self)
- int indexIn (self, QString, int from = 0)
- QString pattern (self)
- setCaseSensitivity (self, Qt.CaseSensitivity)
- setPattern (self, QString)

## Detailed Description

The QStringMatcher class holds a sequence of characters that can be quickly matched in a Unicode string.

This class is useful when you have a sequence of QChars that you want to repeatedly match against some strings (perhaps in a loop), or when you want to search for the same sequence of characters multiple times in the same string. Using a matcher object and indexIn() is faster than matching a plain QString with QString.indexOf() if repeated matching takes place. This class offers no benefit if you are doing one-off string matches.

Create the QStringMatcher with the QString you want to search for. Then call indexIn() on the QString that you want to search.

See also QString, QByteArrayMatcher, and QRegExp.

## Method Documentation

### QStringMatcher.__init__ (self)

Constructs an empty string matcher that won't match anything. Call setPattern() to give it a pattern to match.

### QStringMatcher.__init__ (self, QString, Qt.CaseSensitivity cs = Qt.CaseSensitive)

Constructs a string matcher that will search for pattern, with case sensitivity cs.

Call indexIn() to perform a search.

### QStringMatcher.__init__ (self, QStringMatcher)

Constructs a string matcher that will search for the pattern referred to by uc with the given length and case sensitivity specified by cs.

This function was introduced in Qt 4.5.

### Qt.CaseSensitivity QStringMatcher.caseSensitivity (self)

Returns the case sensitivity setting for this string matcher.

See also setCaseSensitivity().

### int QStringMatcher.indexIn (self, QString, int from = 0)

Searches the string str from character position from (default 0, i.e. from the first character), for the string pattern() that was set in the constructor or in the most recent call to setPattern(). Returns the position where the pattern() matched in str, or -1 if no match was found.

See also setPattern() and setCaseSensitivity().

### QString QStringMatcher.pattern (self)

Returns the string pattern that this string matcher will search for.

See also setPattern().

### QStringMatcher.setCaseSensitivity (self, Qt.CaseSensitivity)

Sets the case sensitivity setting of this string matcher to cs.

See also caseSensitivity(), setPattern(), and indexIn().

### QStringMatcher.setPattern (self, QString)

Sets the string that this string matcher will search for to pattern.

See also pattern(), setCaseSensitivity(), and indexIn().